LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XFunctionCategory Interface Reference

identifies a XFunctionCategory which allows to retrieve the meta data of all supported functions. More...

`import"XFunctionCategory.idl";`

Inheritance diagram for XFunctionCategory:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
interface | com::sun::star::container::XIndexAccess
| gives access to all categories More...

## Public Member Functions
XFunctionDescription | getFunction ([in] long position) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| same as getByIndex. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Public Attributes
string | Name
| returns the localized category's name. More...
long | Number
| specifies the category number. More...

## Detailed Description

identifies a XFunctionCategory which allows to retrieve the meta data of all supported functions.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

gives access to all categories

## Member Function Documentation

## ◆ getFunction()

XFunctionDescription getFunction | ( | [in] long | position | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

same as getByIndex.

See also
  com.sun.star.container.XIndexAccess

## Member Data Documentation

## ◆ Name

string Name
| attribute readonly

returns the localized category's name.

## ◆ Number

long Number
| attribute readonly

specifies the category number.

The documentation for this interface was generated from the following file:

- com/sun/star/report/meta/XFunctionCategory.idl